com.atid.lib.types

## Enum ModuleBarcodeType

- java.lang.Object
- - java.lang.Enum<ModuleBarcodeType>
  - - com.atid.lib.types.ModuleBarcodeType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ModuleBarcodeType>

      public enum ModuleBarcodeType
      extends java.lang.Enum<ModuleBarcodeType>
      implements IEnumType

  The ModuleBarcodeType enumeration indicates the type of Barcode Module installed in the instrument.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AT1DSE955`
    `AT1DSE965`
    `AT2DIT5X80`
    `AT2DN368X`
    `AT2DN668X`
    `AT2DSE4710`
    `None`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static ModuleBarcodeType` | `valueOf(int code)`
    `static ModuleBarcodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ModuleBarcodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final ModuleBarcodeType None

    - #### AT1DSE955

          public static final ModuleBarcodeType AT1DSE955

    - #### AT1DSE965

          public static final ModuleBarcodeType AT1DSE965

    - #### AT2DIT5X80

          public static final ModuleBarcodeType AT2DIT5X80

    - #### AT2DSE4710

          public static final ModuleBarcodeType AT2DSE4710

    - #### AT2DN368X

          public static final ModuleBarcodeType AT2DN368X

    - #### AT2DN668X

          public static final ModuleBarcodeType AT2DN668X

  - ### Method Detail

    - #### values

          public static ModuleBarcodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModuleBarcodeType c : ModuleBarcodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModuleBarcodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ModuleBarcodeType>`

    - #### valueOf

          public static ModuleBarcodeType valueOf(int code)